import { Applicator } from "./apply";
import { ProcessedCharacter, ProcessedWord } from "./process";
export declare const DEFAULT_MISTAKES: Mistake[];
export interface Mistake {
    apply: Applicator;
    probability: number;
}
export declare type Stream = ProcessedWord[];
declare class Humanized {
    stream: Stream;
    constructor(stream: Stream);
    toString(): string;
}
export declare function humanize(string: string, options?: {
    seed?: string;
    mistakes?: Mistake[];
}): Humanized;
export declare const toString: (stream: ProcessedCharacter[][] | import("./simulate").StrokedCharacter[]) => string;
export {};
