export declare type Character = "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "0" | "-" | "=" | "q" | "w" | "e" | "r" | "t" | "y" | "u" | "i" | "o" | "p" | "[" | "]" | "\\" | "a" | "s" | "d" | "f" | "g" | "h" | "j" | "k" | "l" | ";" | "'" | "z" | "x" | "c" | "v" | "b" | "n" | "m" | "," | "." | "/" | "!" | "@" | "#" | "$" | "%" | "^" | "&" | "*" | "(" | ")" | "_" | "+" | "Q" | "W" | "E" | "R" | "T" | "Y" | "U" | "I" | "O" | "P" | "{" | "}" | "|" | "A" | "S" | "D" | "F" | "G" | "H" | "J" | "K" | "L" | ":" | '"' | "Z" | "X" | "C" | "V" | "B" | "N" | "M" | "<" | ">" | "?";
export interface Layout {
    [key: string]: {
        neighbors: Character[];
    };
}
export declare type Keymap = string[][];
export declare const buildLayout: (xs: string[][]) => {};
export declare const DEFAULT_KEYMAP: string[][];
export declare const SHIFT_KEYMAP: string[][];
export declare const LAYOUT: {
    default: Layout;
    shift: Layout;
};
export declare const neighborsOf: (key: Character) => Character[];
