"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rand_1 = require("../rand");
var repeat_1 = require("./repeat");
var process_1 = require("../process");
describe("#repeat", function () {
    beforeAll(function () { return rand_1.initRand("seed"); });
    test("sometimes repeats ! on the end of hey", function () {
        var output = new Array(20)
            .fill(undefined)
            .map(function () { return repeat_1.repeat(process_1.process("hey!")[0]); })
            .map(function (hey) {
            if (process_1.isProcessedWord(hey)) {
                return hey[hey.length - 1].transformed.length;
            }
        });
        // prettier-ignore
        expect(output).toEqual([
            1, 1, 1, 1, 1, 1, 1, 7, 1, 1,
            6, 8, 1, 1, 1, 1, 1, 1, 1, 1
        ]);
    });
});
