"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var process_1 = require("../process");
var keyboard_1 = require("../keyboard");
var sample_1 = require("../sample");
exports.__miss__ = function (character) {
    var neighbors = keyboard_1.neighborsOf(character);
    if (neighbors.length === 0)
        return character;
    return sample_1.sample(neighbors);
};
function isValidKeyboardCharacter(string) {
    return string !== undefined;
}
exports.miss = function (input) {
    if (process_1.isProcessedCharacter(input)) {
        return __assign(__assign({}, input), { transformed: input.transformed.map(function (char) {
                if (isValidKeyboardCharacter(char)) {
                    return exports.__miss__(char);
                }
                return char;
            }) });
    }
    return input;
};
