"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rand_1 = require("../rand");
var substitute_1 = require("./substitute");
var process_1 = require("../process");
describe("#substitute", function () {
    test("swaps characters while preserving source ordering", function () {
        rand_1.initRand("seed");
        var sample = process_1.process("sample")[0];
        expect(substitute_1.substitute(sample)).toStrictEqual([
            { source: "s", transformed: ["s"] },
            { source: "a", transformed: ["a"] },
            { source: "m", transformed: ["m"] },
            { source: "p", transformed: ["l"] },
            { source: "l", transformed: ["p"] },
            { source: "e", transformed: ["e"] }
        ]);
    });
    test("swaps characters while preserving source ordering", function () {
        rand_1.initRand("2");
        var sample = process_1.process("sample")[0];
        expect(substitute_1.substitute(sample)).toStrictEqual([
            { source: "s", transformed: ["s"] },
            { source: "a", transformed: ["a"] },
            { source: "m", transformed: ["m"] },
            { source: "p", transformed: ["p"] },
            { source: "l", transformed: ["e"] },
            { source: "e", transformed: ["l"] }
        ]);
    });
});
